## smokegen 4.13.0

=== CMakeLists.txt ===
project(smokegenerator)
cmake_minimum_required(VERSION 2.6)

find_package(Qt4 REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )
set(SMOKE_VERSION_MAJOR 3)
set(SMOKE_VERSION_MINOR 0)
set(SMOKE_VERSION_PATCH 0)
set(SMOKE_VERSION ${SMOKE_VERSION_MAJOR}.${SMOKE_VERSION_MINOR}.${SMOKE_VERSION_PATCH})


set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)

if (NOT LIB_INSTALL_DIR)
    set (LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
endif (NOT LIB_INSTALL_DIR)

include_directories(${QT_INCLUDES} parser ${CMAKE_BINARY_DIR})

add_subdirectory(parser)

set(generator_SRC
    main.cpp
    generatorenvironment.cpp
    generatorvisitor.cpp
    generatorpreprocessor.cpp
    options.cpp
    type_compiler.cpp
    name_compiler.cpp
    type.cpp
)

# force RPATH so that the binary is usable from within the build tree
set (CMAKE_SKIP_BUILD_RPATH FALSE)
set (CMAKE_SKIP_RPATH FALSE)

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in config.h @ONLY )

add_executable(smokegen ${generator_SRC})
target_link_libraries(smokegen ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} cppparser)
set_target_properties(smokegen PROPERTIES COMPILE_DEFINITIONS __GENERATOR_BUILDING ENABLE_EXPORTS TRUE)

install(TARGETS smokegen LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
if (WIN32)
	# Realign the stack, for compatibility with an older ABI
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokegen PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokegen PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)
install(FILES generatorenvironment.h  generator_export.h  generatorpreprocessor.h  generatorvisitor.h  name_compiler.h  options.h  type_compiler.h  type.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/smokegen)
install( FILES  smoke.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include )
install( FILES smokegen_string.h DESTINATION ${CMAKE_INSTALL_PREFIX}/share/smokegen RENAME string.h )

add_subdirectory(cmake)
add_subdirectory(generators)
add_subdirectory(smokeapi)
add_subdirectory(smokebase)
add_subdirectory(deptool)

=== generators/dump/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../..)

set(generator_dump_SRC
    generator_dump.cpp)

add_library(generator_dump MODULE ${generator_dump_SRC})
target_link_libraries(generator_dump ${QT_QTCORE_LIBRARY} smokegen)
set_target_properties(generator_dump PROPERTIES PREFIX "")

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(generator_dump PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()
endif (WIN32)

install(TARGETS generator_dump LIBRARY DESTINATION ${LIB_INSTALL_DIR}/smokegen)

## smokegen 4.7.1

=== debian/changelog ===
smokegen (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release 
    - fix smokegen_load_system_defines.diff
    - add simplified version of string.h to smoke-dev-tools.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 02 Sep 2011 21:04:30 +0200

smokegen (4:4.7.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Make smoke-dev-tools break/replace libsmokeqt4-dev < 4:4.7.0, as
    /usr/include/smoke.h has been moved here. (Closes: #635579)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Aug 2011 23:49:23 +0200

smokegen (4:4.7.0-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Switch to dh7:
    - clean rules
  * Adapt watch file to the new source name.
  * Pick smokegen related patches from the kdebindings package and include
    them in this package.
  * Adapt Vcs fields.
  * Switch copyright to the DEP-5 format, revision 174.

  [ Pino Toscano ]
  * Update the patches:
    - smokegen_load_system_defines.diff: do not define IN_KDEVELOP_PARSER
      and IN_IDE_PARSER, as they are reserved for kdevelop
    - strip sequence numbers from the filenames
    - refresh
    - add DEP-3 headers for patches which didn't have them
  * Update rules:
    - pass --list-missing to dh_install
  * Update control:
    - add a smokegen-dbg package, making it break/replace kdebindings-dbg
    - small touches to the descriptions
  * Update copyright.
  * Update lintian overrides for smoke-dev-tools.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jul 2011 16:11:36 +0200

=== debian/control ===
Source: smokegen
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake, libqt4-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen

Package: smoke-dev-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokeqt4-dev (<< 4:4.7.0)
Replaces: libsmokeqt4-dev (<< 4:4.7.0)
Description: SMOKE development tools
 This package contains the development tools to do bindings with the
 Scripting MetaObject Kompiler Engine, used by several Qt and KDE bindings,
 as well as some bindings for the Wt library.

Package: libsmokebase3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: SMOKE base library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the SMOKE base library.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.

Package: smokegen-dbg
Section: debug
Depends: ${misc:Depends}, libsmokebase3 (= ${binary:Version})
Recommends: smoke-dev-tools (= ${binary:Version}), libqt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: SMOKE development tools -- debug symbols
 This package contains the debug symbols for the SMOKE generator and
 libraries, used to investigate problems in them.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=smokegen-dbg

## smokegen 4.8.2

=== debian/changelog ===
smokegen (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:13:05 +0200

smokegen (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 00:34:37 +0100

smokegen (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:23 +0000

smokegen (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:58 +0000

smokegen (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - drop fix_segfault_in_generator_on_armel.diff, fixed upstream
    - refresh version_cppparser_library.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 21:09:28 +0100

smokegen (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:55:58 +0000

smokegen (4:4.7.3-0ubuntu2) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 01:07:04 +0000

smokegen (4:4.7.1-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update patch smokegen_load_system_defines.diff to the upstream sources.
  * Small touches to the descriptions.
  * Update installed files.
  * Tighten the libsmokebase dependency of smoke-dev-tools to the current
    version.
  * Generate libsmokebase shlibs based on the current version.
  * Manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
    as dpkg-buildpackage does not do that anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Sep 2011 12:04:41 +0200

smokegen (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 29 Oct 2011 10:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,18 @@
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
+X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
 
 Package: smoke-dev-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsmokebase3 (= ${binary:Version})
 Breaks: libsmokeqt4-dev (<< 4:4.7.0)
 Replaces: libsmokeqt4-dev (<< 4:4.7.0)
 Description: SMOKE development tools
+ SMOKE provides infrastructure which is used for creating bindings for
+ multiple languages such as Ruby, C# and PHP.
+ .
  This package contains the development tools to do bindings with the
  Scripting MetaObject Kompiler Engine, used by several Qt and KDE bindings,
  as well as some bindings for the Wt library.
@@ -40,6 +45,9 @@
 Architecture: any
 Priority: extra
 Description: SMOKE development tools -- debug symbols
+ SMOKE provides infrastructure which is used for creating bindings for
+ multiple languages such as Ruby, C# and PHP.
+ .
  This package contains the debug symbols for the SMOKE generator and
  libraries, used to investigate problems in them.

## smokegen 4.8.3

=== debian/changelog ===
smokegen (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Mon, 30 Apr 2012 23:53:52 +0200

=== debian/rules ===
#! /usr/bin/make -f

export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=smokegen-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

## smokegen 4.8.4

=== debian/changelog ===
smokegen (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload

  [ David Palacio ]
  * Update patches:
    - Refresh version_cppparser_library.diff.
    - Remove patch fix_segfault_in_generator_on_armel.diff. Applied upstream.

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 01:31:16 +0200

smokegen (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency to >= 9, and compat to 9.
  * Do not manually export CXXFLAGS and LDFLAGS now, since compat v9 does
    that already.
  * Update copyright for myself, for last year and the current one.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Apr 2012 13:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: smokegen
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.3.16), cmake, libqt4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), cmake, libqt4-dev
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
 
 Package: smoke-dev-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #! /usr/bin/make -f
-
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/smokegen-([\d\.]+)\.tar\.bz2

## smokegen 4.9.2

=== debian/changelog ===
smokegen (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:47:59 +0100

smokegen (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:34:34 +0530

smokegen (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:50:47 +0100

smokegen (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Remove files that we don't to install, keeps --list-missing silent.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:24:38 +0200

smokegen (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Merge with debian git, remaining changes:
    - add libcppparser.so to not-installed

  * New upstream beta release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 May 2012 08:45:02 +0200

smokegen (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - add libcppparser.so to not-installed

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Mon, 30 Apr 2012 23:53:52 +0200

smokegen (4:4.8.0-1) UNRELEASED; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Update patches:
    - Refresh version_cppparser_library.diff.
    - Remove patch fix_segfault_in_generator_on_armel.diff. Applied upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 09 Feb 2012 19:30:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: smokegen
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libqt4-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
+X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
 
 Package: smoke-dev-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 	dh $@
 
 override_dh_install:
+	# .so synlink not needed, silence list-missing
+	rm -f debian/tmp/usr/lib/libcppparser.so
 	dh_install --list-missing
 
 override_dh_strip:

## smokegen 4.10.0

=== debian/changelog ===
smokegen (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:25:22 +0000

smokegen (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:35:47 +0000

smokegen (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:14 +0100

smokegen (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:51:42 +0000

smokegen (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:23 +0000

smokegen (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:28:42 +0000

smokegen (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:52:47 +0100

smokegen (4:4.8.0-1) raring; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Update patches:
    - Refresh version_cppparser_library.diff.
    - Remove patch fix_segfault_in_generator_on_armel.diff. Applied upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 09 Feb 2012 19:30:14 -0500

## smokegen 4.10.2

=== debian/changelog ===
smokegen (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:06:45 +0200

smokegen (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:02:28 +0000

## smokegen 4.11.2

=== debian/changelog ===
smokegen (4:4.11.2-0ubuntu2) saucy; urgency=low

  * Rebuild with fixed arm64 libqt4-dev.

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Oct 2013 00:00:02 +1100

smokegen (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:02:13 +0100

smokegen (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:45:56 +0100

smokegen (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:46:22 +0100

smokegen (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:15:24 +0100

smokegen (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:41 +0000

smokegen (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:36:37 +0100

smokegen (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Howard Chan ]
  * Add back not-installed. 
  * Fix debian/rules to directly clear out the not-installed file.

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:04:45 +0100

smokegen (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:05:01 +0000

smokegen (4:4.10.2-1) experimental; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Sat, 06 Apr 2013 08:10:17 +0000

## smokegen 4.13.0

=== debian/changelog ===
smokegen (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:34:03 +0100

smokegen (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:01:42 +0200

smokegen (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:05:56 +0100

smokegen (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:10:35 +0000

smokegen (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:22:05 +0100

smokegen (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:36:23 +0000

smokegen (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:50:55 +0000

smokegen (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:53:23 +0000

smokegen (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:51:50 +0000

smokegen (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:45:57 +0100

smokegen (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:07:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 9), cmake, libqt4-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
+X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
 
 Package: smoke-dev-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@
 
 override_dh_install:
-	# .so synlink not needed, silence list-missing
+	# .so symlink not need, silencing list-missing.
 	rm -f debian/tmp/usr/lib/libcppparser.so
 	dh_install --list-missing

## smokegen 4.14.1

=== debian/changelog ===
smokegen (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:03:36 +0200

smokegen (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Drop use of smokegen_load_system_defines.diff it breaks compile since
    we switched to GCC 4.9 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Aug 2014 16:46:38 +0200

smokegen (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:46:31 +0200

smokegen (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:40:09 +0200

smokegen (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:58:56 +0200

smokegen (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:52:32 +0200

smokegen (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, remaining changes:
    - add not-installed for libcppparser.so

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:05 +0100

smokegen (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:42 +0200

smokegen (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:05 +0100

smokegen (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add abi-compliance-checker info.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 11:57:23 +0100

smokegen (4:4.11.3-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:43 +0100

smokegen (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Symbols file for libsmokebase3.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:25:08 +0200

smokegen (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:45 +0200

smokegen (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:19:20 +0200

## smokegen 4.14.2

=== parser/tests/CMakeLists.txt ===

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/testconfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/testconfig.h)


########### next target ###############

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../rpp ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(parsertest_SRCS test_parser.cpp)

QT4_GENERATE_MOC(${parsertest_SRCS} test_parser.moc)
add_executable(parsertest ${parsertest_SRCS} test_parser.moc)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(parsertest PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()
endif (WIN32)

target_link_libraries(parsertest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} cppparser)

########### next target ###############

set(generatortest_SRCS test_generator.cpp)

QT4_GENERATE_MOC(${generatortest_SRCS} test_generator.moc)
add_executable(generatortest ${generatortest_SRCS} test_generator.moc)
if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	set_target_properties (generatortest PROPERTIES COMPILE_FLAGS -mstackrealign)
endif (WIN32)

target_link_libraries(generatortest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} cppparser)

########### next target ###############

set(pooltest_SRCS test_pool.cpp)

QT4_GENERATE_MOC(test_pool.h test_pool.moc)
add_executable(pooltest ${pooltest_SRCS} test_pool.moc)
if (WIN32)
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(pooltest PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()
endif (WIN32)

target_link_libraries(pooltest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} cppparser)

=== debian/changelog ===
smokegen (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * Backport to Trusty 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 14 Oct 2014 14:34:07 -0700

smokegen (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:52:06 -0700

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), cmake, libqt4-dev
-Standards-Version: 3.9.3
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           David Palacio <dpalacio@orbitalibre.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake, debhelper (>= 9), libqt4-dev
+Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
-X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokegen.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/git/pkg-kde/kde-sc/smokegen.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokegen
 X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary
 
 Package: smoke-dev-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsmokebase3 (= ${binary:Version})
+Depends: libsmokebase3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: libsmokeqt4-dev (<< 4:4.7.0)
 Replaces: libsmokeqt4-dev (<< 4:4.7.0)
 Description: SMOKE development tools
@@ -27,7 +31,7 @@
 
 Package: libsmokebase3
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: SMOKE base library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -38,8 +42,8 @@
 
 Package: smokegen-dbg
 Section: debug
-Depends: ${misc:Depends}, libsmokebase3 (= ${binary:Version})
-Recommends: smoke-dev-tools (= ${binary:Version}), libqt4-dbg
+Depends: libsmokebase3 (= ${binary:Version}), ${misc:Depends}
+Recommends: libqt4-dbg, smoke-dev-tools (= ${binary:Version})
 Breaks: kdebindings-dbg
 Replaces: kdebindings-dbg
 Architecture: any
@@ -50,4 +54,3 @@
  .
  This package contains the debug symbols for the SMOKE generator and
  libraries, used to investigate problems in them.
-

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/smokegen-([\d\.]+)\.tar\.xz

## smokegen 4.14.3

=== debian/changelog ===
smokegen (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump libsmokebase3 to libsmokebase3v5 for libstdc++6 updates
  * Update Vcs-Git to use the canonical location
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Aug 2015 18:59:59 -0400

smokegen (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 16 Oct 2014 22:34:50 +0200

smokegen (4:4.14.0-2) unstable; urgency=medium

  * Remove patch: smokegen_load_system_defines.diff
    (Closes:  #759286, #759238, #759205)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 31 Aug 2014 00:50:02 +0200

smokegen (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 18:58:52 +0200

=== debian/control ===
Source: smokegen
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Sune Vuorela <sune@debian.org>,
           David Palacio <dpalacio@orbitalibre.org>,
           Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake, debhelper (>= 9), libqt4-dev
Standards-Version: 3.9.6
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokegen
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokegen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokegen.git;a=summary

Package: smoke-dev-tools
Architecture: any
Depends: libsmokebase3v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libsmokeqt4-dev (<< 4:4.7.0)
Replaces: libsmokeqt4-dev (<< 4:4.7.0)
Description: SMOKE development tools
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This package contains the development tools to do bindings with the
 Scripting MetaObject Kompiler Engine, used by several Qt and KDE bindings,
 as well as some bindings for the Wt library.

Package: libsmokebase3v5
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Conflicts: libsmokebase3
Replaces: libsmokebase3
Description: SMOKE base library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the SMOKE base library.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.

Package: smokegen-dbg
Section: debug
Depends: libsmokebase3v5 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg, smoke-dev-tools (= ${binary:Version})
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: SMOKE development tools -- debug symbols
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This package contains the debug symbols for the SMOKE generator and
 libraries, used to investigate problems in them.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/smokegen-([\d.]+).tar.xz
